<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Cron:etc/crontab.xsd">
    <group id="flow">
        <job name="flow_fetch_bus1" instance="FiloBlu\Flow\Cron\Fetch" method="executeBus1">
            <schedule>11 * * * *</schedule>
        </job>
        <job name="flow_fetch_bus2" instance="FiloBlu\Flow\Cron\Fetch" method="executeBus2">
            <schedule>13 * * * *</schedule>
        </job>
        <job name="flow_fetch_bus3" instance="FiloBlu\Flow\Cron\Fetch" method="executeBus3">
            <schedule>15 * * * *</schedule>
        </job>
        <job name="flow_fetch_bus4" instance="FiloBlu\Flow\Cron\Fetch" method="executeBus4">
            <schedule>30 3 * * *</schedule>
        </job>
        <job name="flow_receive" instance="FiloBlu\Flow\Cron\Fetch" method="receive">
            <schedule>21 * * * *</schedule>
        </job>
        <job name="flow_critical" instance="FiloBlu\Flow\Cron\Fetch" method="processCritical">
            <schedule>11 * * * *</schedule>
        </job>
        <job name="flow_parse" instance="FiloBlu\Flow\Cron\Fetch" method="parse">
            <schedule>26 * * * *</schedule>
        </job>
        <job name="flow_process" instance="FiloBlu\Flow\Cron\Fetch" method="process">
            <schedule>31 * * * *</schedule>
        </job>
        <job name="flow_clean" instance="FiloBlu\Flow\Cron\Fetch" method="clean">
            <schedule>* 1 * * *</schedule>
        </job>
        <job name="flow_multistock_configurable" instance="FiloBlu\Flow\Cron\UpdateMultistockConfigurableStockStatus" method="execute">
            <schedule>5 * * * *</schedule>
        </job>
        <job name="flow_multistock_grouped" instance="FiloBlu\Flow\Cron\UpdateMultistockGroupedStockStatus" method="execute">
            <schedule>*/5 * * * *</schedule>
        </job>
    </group>
</config>
